Subject: bug#51809: 29.0.50; [PATCH] Support for outline default state in Diff buffers

From: Matthias Meulien <[email-masked]>
Date: Sun, 14 Nov 2021 20:35:33 +0100

Juri Linkov <[email-masked]> writes:

> Something strange happened recently with diff-mode and outline-minor-mode.
> I can't use this combination anymore.  While reading your patches, I'm trying
> to type TAB on the hunk header to hide already viewed hunks of your patch.
> But TAB does nothing now.  Do you see the same?  TAB is used to hide/show body
> when outline-minor-mode-cycle is t.

I've observed too that `outline-minor-mode-cycle' didn't worked well in
`diff-mode' buffers but I never saw it working!

Since I am used to hitting TAB to go to next button or for completion,
and I am used to the horrible `outline-minor-mode-prefix' bindings, my
feeling is that TAB was a bad choice for this, and I didn't try to
debug: I just turned off `outline-minor-mode-cycle'...

Do you have `diff-font-lock-prettify' enabled? I remember the situation
was better without this, not sure...
-- 
Matthias